---
title: llarp::vpn::I_PacketIntercepter

---

# llarp::vpn::I_PacketIntercepter





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~I_PacketIntercepter](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-~i-packetintercepter)**() =default |
| virtual void | **[start](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-start)**(std::weak_ptr< [PacketRouter](Classes/classllarp_1_1vpn_1_1PacketRouter.md) > pkt) =0<br>start intercepting and attach all packets we intercept to a packet router.  |
| virtual void | **[stop](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-stop)**()<br>stop intercepting packets  |

## Public Functions Documentation

### function ~I_PacketIntercepter

```cpp
virtual ~I_PacketIntercepter() =default
```


### function start

```cpp
virtual void start(
    std::weak_ptr< PacketRouter > pkt
) =0
```

start intercepting and attach all packets we intercept to a packet router. 

if the packet router's HandleIPPacket function returns false we will reinject the traffic into the system using a platform depdendant way. 


### function stop

```cpp
inline virtual void stop()
```

stop intercepting packets 

-------------------------------

Updated on 2022-08-28 at 12:32:06 +0000