---
title: llarp/win32/windivert.hpp

---

# llarp/win32/windivert.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |




## Source code

```cpp
#pragma once

#include <llarp/vpn/packet_intercept.hpp>
#include <llarp/ev/ev.hpp>

#include <windows.h>

namespace llarp::win32
{
  std::shared_ptr<llarp::vpn::I_PacketIntercepter>
  WinDivert_new(std::string filter_spec, const llarp::EventLoop_ptr& loop);

}  // namespace llarp::win32
```


-------------------------------

Updated on 2022-08-28 at 12:32:06 +0000
