---
title: llarp/vpn/packet_intercept.hpp

---

# llarp/vpn/packet_intercept.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::vpn](Namespaces/namespacellarp_1_1vpn.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::vpn::I_PacketIntercepter](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md)**  |




## Source code

```cpp
#pragma once

#include "packet_router.hpp"

namespace llarp::vpn
{
  class I_PacketIntercepter
  {
   public:
    virtual ~I_PacketIntercepter() = default;

    virtual void
    start(std::weak_ptr<PacketRouter> pkt) = 0;

    virtual void
    stop(){};
  };

}  // namespace llarp::vpn
```


-------------------------------

Updated on 2022-08-28 at 12:32:06 +0000
