---
title: llarp/win32/wintun.hpp

---

# llarp/win32/wintun.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |




## Source code

```cpp
#pragma once

#include <llarp/ev/vpn.hpp>
#include <memory>

#include <windows.h>

namespace llarp::win32
{
  class WintunContext;

  std::shared_ptr<WintunContext>
  WintunContext_new();

  std::shared_ptr<vpn::NetworkInterface>
  WintunInterface_new(
      const std::shared_ptr<WintunContext>&, vpn::InterfaceInfo info, AbstractRouter* router);

}  // namespace llarp::win32
```


-------------------------------

Updated on 2022-08-28 at 12:32:06 +0000
